Bug 13087 - WARNING: No automated network interface determination due to strerror_r
WARNING: No automated network interface determination due to strerror_r
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.7.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-14 09:37 UTC by Andrew Bartlett
Modified: 2017-11-03 10:01 UTC (History)
4 users (show)

See Also:


Attachments
proposed patch for master (2.19 KB, patch)
2017-10-14 09:40 UTC, Andrew Bartlett
no flags Details
patch for 4.7 cherry-picked from master (2.32 KB, patch)
2017-10-28 08:58 UTC, Andrew Bartlett
abartlet: review? (metze)
abartlet: review? (dbagnall)
garming: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Bartlett 2017-10-14 09:37:26 UTC
The strerror_r patch (making Samba provide and use the XSI strerror_r not the GNU one) broke the tests the manually include replace.c on systems that use libbsd to get strlcpy. 

This is the diff of config.log (but not shown on-screen) with the fix:

@@ -620514,11 +617230,6 @@
 
 <==
 [1/2] Compiling test.c
-In file included from ../test.c:1188:0:
-/data/samba/git/samba/tests/summary.c: In function ‘main’:
-/data/samba/git/samba/tests/summary.c:12:2: warning: #warning "WARNING: No automated network interface determination" [-Wcpp]
- #warning "WARNING: No automated network interface determination"
-  ^~~~~~~

This is the config.h diff:

--- bin/default/include/config.h	2017-10-14 22:30:00.363872416 +1300
+++ /tmp/config.h	2017-10-14 22:28:53.533692123 +1300
@@ -428,10 +428,7 @@
 /* #undef HAVE_SOCK_SIN_LEN */
 #define HAVE_UNIXSOCKET 1
 #define HAVE_SECURE_MKSTEMP 1
-/* #undef HAVE_IFACE_GETIFADDRS */
-/* #undef HAVE_IFACE_AIX */
-/* #undef HAVE_IFACE_IFCONF */
-/* #undef HAVE_IFACE_IFREQ */
+#define HAVE_IFACE_GETIFADDRS 1
 #define HAVE_DECL_GETPWENT_R 1
 /* #undef SOLARIS_GETPWENT_R */
 #define HAVE_DECL_GETGRENT_R 1
Comment 1 Andrew Bartlett 2017-10-14 09:40:10 UTC
Created attachment 13687 [details]
proposed patch for master
Comment 2 Andrew Bartlett 2017-10-28 08:58:04 UTC
Created attachment 13734 [details]
patch for 4.7 cherry-picked from master

This should be merged for 4.7.next
Comment 3 Karolin Seeger 2017-11-01 09:35:05 UTC
Pushed to autobuild-v4-7-test.
Comment 4 Karolin Seeger 2017-11-03 10:01:48 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-7-test.
Closing out bug report.

Thanks!